Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162136 - comparisons like X<=Y<=Z do not have their mathematical meaning
Summary: comparisons like X<=Y<=Z do not have their mathematical meaning
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-06-30 09:45 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-17 21:28:02 UTC


Attachments (Terms of Use)
Patch sent upstream (deleted)
2005-08-18 20:44 UTC, Dave Malcolm
no flags Details | Diff

Description David Binderman 2005-06-30 09:45:44 UTC
Description of problem:

I just tried to compile package evolution-2.2.2-5 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

e-plugin.c:93: warning: comparisons like X<=Y<=Z do not have their mathematical
meaning

The source code is

        if ((state == 0) == ep_check_enabled(id) == 0)
                return;

This is really bizarre code. Suggest code rework for maintainability.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Malcolm 2005-08-18 03:29:15 UTC
Thanks for this report.  I agree that this code looks suspect.  I'll try to get
this fixed upstream.

Comment 2 Dave Malcolm 2005-08-18 20:24:23 UTC
Bug still present in latest version in CVS, and in latest rawhide package.

Comment 3 Dave Malcolm 2005-08-18 20:44:23 UTC
Created attachment 117882 [details]
Patch sent upstream

Comment 4 Dave Malcolm 2005-10-17 21:28:02 UTC
I fixed this in upstream CVS on August 22; this fix is in 2.3.8 and later


Note You need to log in before you can comment on or make changes to this bug.